Bug 135450 - Unknown USB serial devices result in improperly freed structure member
Summary: Unknown USB serial devices result in improperly freed structure member
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-12 19:43 UTC by Jordan Crouse
Modified: 2014-03-17 02:49 UTC (History)
1 user (show)

Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 21:36:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to avoid premature free of memberi in kudzu (916 bytes, patch)
2004-10-12 19:45 UTC, Jordan Crouse
no flags Details | Diff

Description Jordan Crouse 2004-10-12 19:43:47 UTC
Description of problem:

When an USB serial device is found with an unknown PCI_CLASS_PROG byte
(ie, not 0x0, 0x10 or 0x20), execution proceeds with dev->driver
improperly freed at pci.c:762 (as of CVS, 10/11/04).  Result is a
segfault during install in anaconda (RH9) and an glibc double free
error in (FC1 and FC2).

The attached patch below will only free(dev->driver) if the device is
recognized as a uhci, ohci, or ehci device.  This prevents the memory
issue from halting installation on a device that may have an unknown
PCI_CLASS_PROG value.

Version-Release number of selected component (if applicable):

CVS (10/11/04)

Comment 1 Jordan Crouse 2004-10-12 19:45:22 UTC
Created attachment 105089 [details]
patch to avoid premature free of memberi in kudzu

CVS diff against revision 1.112

Comment 2 Bill Nottingham 2004-10-13 01:28:20 UTC
Patch is obviously correct. OUt of curiousity... where does one get
one of these devices?

Comment 3 Bill Nottingham 2004-10-13 01:41:29 UTC
Added in 1.1.95-1.


Note You need to log in before you can comment on or make changes to this bug.